Subject: Unit_Sw_Version

From: "Hattig, Myron" <[email-masked]>
Date: Wed, 13 Jan 1999 10:12:13 -0800

We have two options discussed for the value of the Unit_SW_version
in the IP/1394 Unit Directory.

Joseph - thanks for the complete proposal!! - suggested we have
the IANA define a new group of numbers then rely on the IANA to
allocate numbers. Others have suggested simply using the EtherType.

We have already agreed to use the IANA's value for the Unit_Spec_id.

The IANA allocates IP addresses, domain names and protocol parameters.
I don't know if the IANA would be willing consider the Unit_Sw_Version
a protocol parameter or not, but based on the current set of numbers,
I suspect they would be willing. The complete list of protocol numbers is
at http://www.iana.org/numbers.html.

I don't have a strong opinion, but since the EtherType meets all
of our current and future needs - it identifies IPv4, IPv6, ARP, MCAP
- I don't see any benefits in bothering IANA.

-myron